Package org.zkoss.zkex.ui.event

## Class RotationEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zkex.ui.event.RotationEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RotationEvent
      extends Event

  Represents an event caused by a component being rotated.

  Available in ZK PE

  Since:
    9.0.0
  Author:
    rudyhuang
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RotationEvent​(java.lang.String name)` | Constructs a rotation event.
    `RotationEvent​(java.lang.String name, Component target)` | Constructs a rotation event.
    `RotationEvent​(java.lang.String name, Component target, java.lang.Object data)` | Constructs a rotation event.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getRotation()` | Gets the current rotation.
    `static RotationEvent` | `getRotationEvent​(AuRequest request)` | Converts an AU request to a rotation event.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RotationEvent

          public RotationEvent​(java.lang.String name)

      Constructs a rotation event.

    - #### RotationEvent

          public RotationEvent​(java.lang.String name,
                               Component target)

      Constructs a rotation event.

    - #### RotationEvent

          public RotationEvent​(java.lang.String name,
                               Component target,
                               java.lang.Object data)

      Constructs a rotation event.

  - ### Method Detail

    - #### getRotationEvent

          public static RotationEvent getRotationEvent​(AuRequest request)

      Converts an AU request to a rotation event.

    - #### getRotation

          public int getRotation()

      Gets the current rotation.
      Returns:
        rotation